Bug 233102 - sysutils/trueos-libqt5 20171003 fails to compile
Summary: sysutils/trueos-libqt5 20171003 fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-10 04:07 UTC by Patrick McMunn
Modified: 2019-02-04 19:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jt)


Attachments
patch to fix trueos-libqt5 build (1.41 KB, patch)
2019-01-18 14:45 UTC, Steve Wills
swills: maintainer-approval? (jt)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick McMunn 2018-11-10 04:07:03 UTC
I'm running FreeBSD 12.0-BETA4 r340287 GENERIC amd64. I tried installing sysutils/pc-networkmanager. trueos-libqt5 failed to compile with the following output:

===>  Building for trueos-libqt5-20171003
cd libtrueos/ && ( test -e Makefile || /usr/local/lib/qt5/bin/qmake -o Makefile /usr/local/area51/freebsd-ports-kde/sysutils/trueos-libqt5/work/trueos-libqt5-9e92b465d823185c9b96f2017e06f2a06b6143fa/src-qt5/libtrueos/libtrueos.pro CONFIG+=configure -spec /usr/local/lib/qt5/mkspecs/freebsd-clang QMAKE_CC=cc QMAKE_CXX=c++ QMAKE_LINK_C=cc QMAKE_LINK_C_SHLIB=cc QMAKE_LINK=c++ QMAKE_LINK_SHLIB=c++ 'QMAKE_CFLAGS=-O2 -pipe -march=native  -fstack-protector -fno-strict-aliasing ' 'QMAKE_CXXFLAGS=-O2 -pipe -march=native -fstack-protector -fno-strict-aliasing  ' 'QMAKE_LFLAGS= -fstack-protector ' QMAKE_LIBS= QMAKE_CFLAGS_DEBUG= QMAKE_CFLAGS_RELEASE= QMAKE_CXXFLAGS_DEBUG= QMAKE_CXXFLAGS_RELEASE= PREFIX=/usr/local CONFIG+=release 'CONFIG-=debug separate_debug_info' ) && /usr/bin/make -f Makefile all
cd utils/ && ( test -e Makefile || /usr/local/lib/qt5/bin/qmake -o Makefile /usr/local/area51/freebsd-ports-kde/sysutils/trueos-libqt5/work/trueos-libqt5-9e92b465d823185c9b96f2017e06f2a06b6143fa/src-qt5/libtrueos/utils/utils.pro CONFIG+=configure -spec /usr/local/lib/qt5/mkspecs/freebsd-clang QMAKE_CC=cc QMAKE_CXX=c++ QMAKE_LINK_C=cc QMAKE_LINK_C_SHLIB=cc QMAKE_LINK=c++ QMAKE_LINK_SHLIB=c++ 'QMAKE_CFLAGS=-O2 -pipe -march=native  -fstack-protector -fno-strict-aliasing ' 'QMAKE_CXXFLAGS=-O2 -pipe -march=native -fstack-protector -fno-strict-aliasing  ' 'QMAKE_LFLAGS= -fstack-protector ' QMAKE_LIBS= QMAKE_CFLAGS_DEBUG= QMAKE_CFLAGS_RELEASE= QMAKE_CXXFLAGS_DEBUG= QMAKE_CXXFLAGS_RELEASE= PREFIX=/usr/local CONFIG+=release 'CONFIG-=debug separate_debug_info' ) && /usr/bin/make -f Makefile all
c++ -c -O2 -pipe -march=native -fstack-protector -fno-strict-aliasing -Wall -W -pthread -fPIC -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtCore -I. -I/usr/local/include -I/usr/local/include/libdrm -I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o utils.o utils.cpp
c++ -c -O2 -pipe -march=native -fstack-protector -fno-strict-aliasing -Wall -W -pthread -fPIC -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtCore -I. -I/usr/local/include -I/usr/local/include/libdrm -I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o hardware.o hardware.cpp
c++ -c -O2 -pipe -march=native -fstack-protector -fno-strict-aliasing -Wall -W -pthread -fPIC -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtCore -I. -I/usr/local/include -I/usr/local/include/libdrm -I/usr/local/include -I/usr/local/lib/qt5/mkspecs/freebsd-clang -o netif.o netif.cpp
netif.cpp:149:12: error: use of undeclared identifier 'IFM_FDDI'
      case IFM_FDDI:
           ^
netif.cpp:150:12: error: use of undeclared identifier 'IFM_TOKEN'
      case IFM_TOKEN:
           ^
2 errors generated.
Comment 1 Steve Wills freebsd_committer 2019-01-18 14:45:16 UTC
Created attachment 201238 [details]
patch to fix trueos-libqt5 build

Obtained from upstream:

https://github.com/trueos/trueos-libqt5/commit/474ae63845553bbdbb6ab41ce05f9f7a7ea06404.patch

While here, pet portlint.
Comment 2 commit-hook freebsd_committer 2019-02-04 19:24:05 UTC
A commit references this bug:

Author: swills
Date: Mon Feb  4 19:23:08 UTC 2019
New revision: 492152
URL: https://svnweb.freebsd.org/changeset/ports/492152

Log:
  sysutils/trueos-libqt5: fix build

  While here, pet portlint

  PR:		233102
  Approved by:	maintainer timeout (jt@ixsystems.com, >2 weeks)

Changes:
  head/sysutils/trueos-libqt5/Makefile
  head/sysutils/trueos-libqt5/files/
  head/sysutils/trueos-libqt5/files/patch-libtrueos_utils_netif.cpp
Comment 3 Steve Wills freebsd_committer 2019-02-04 19:24:33 UTC
Committed, thanks!